<?php
date_default_timezone_set('America/Lima');
class cProductolote{
	function insertar($cat_id,$nom,$precos,$preven,$prevenf,$fecven,$stock,$fec,$modid,$modide){
		$now =  date('Y-m-d h:i:s a');
		$sql = "INSERT INTO tb_productolote(
		`tb_catalogo_id` ,
		`tb_productolote_nom` ,
		`tb_productolote_reg`,
		`tb_productolote_precos`,
		`tb_productolote_preven`,
		`tb_productolote_prevenf`,
		`tb_productolote_fecven`,
		`tb_productolote_stock`,
		`tb_productolote_fec`,
		`tb_productolote_modid`,
		`tb_productolote_modide`
		)
		VALUES ('$cat_id','$nom','$now','$precos','$preven','$prevenf','$fecven','$stock','$fec','$modid','$modide');"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	
	function modificar_campo($id,$campo,$val){
		$sql = "UPDATE tb_productolote SET
		tb_productolote_$campo =  '$val' 
		WHERE  tb_productolote_id = '$id'"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	
	
	function mostrarUltimoLote($cat_id){
		$sql = "SELECT * FROM tb_productolote pl where pl.tb_productolote_xac = '1' ";
		
		if($cat_id!="")$sql.=" AND pl.tb_catalogo_id = '$cat_id' ";
		$sql.=" order by tb_productolote_id desc limit 1; ";
		
	
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	
	
	
}
?>